Subject: [os2genau_digest] No. 1958
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 26 May 2010 00:00:28 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Tuesday 25 May 2010
 Number  1958
**************************************************

Subjects for today
 
1   Problems with OpenOffice 3.1.1 : Peter Moylan <peter at pmoylan dot org>
2  Re:  Problems with OpenOffice 3.1.1 : Ian Manners" <deadmail>
3  Re:  Problems with OpenOffice 3.1.1 : Peter Moylan <peter at pmoylan dot org>
4  Re:  Problems with OpenOffice 3.1.1 : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Tue, 25 May 2010 00:45:31 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   Problems with OpenOffice 3.1.1

Thanks to the help from people on this list, I now have OpenOffice 3.1.1
installed and working. The word processor part is going very well, and
so is the equation editor. I am, however, having trouble using the
drawing component and the spreadsheet. They both crash as soon as I try
to save a file. For the spreadsheet, I did manage to create a
spreadsheet with OpenOffice 2.4, and then import it into OpenOffice
3.1.1, but then I got a crash as soon as I tried to save a change.

I'm used to the problems with the spreadsheet application, for which
every OS/2 port has always been buggy. (The 2.4 version works provided
you don't try to create a chart. The 3.1.1 version crashes on even the
most elementary spreadsheets.) The drawing application problem, however,
is new. Version 2.4 worked properly; it is only version 3.1.1 that
crashes. Among other things, it crashes while trying to open a document
created by version 2.4.

I am successfully using all components (of OpenOffice 3.2, if I recall
it correctly) on my Windows laptop. It is only the OS/2 version that is
giving trouble. I guess I could go to Windows to create my diagrams and
charts, but that would be a major inconvenience.

I am now trying to fiddle with the Association Editor to force *.odg
files to open with version 2.4. There's a slight problem in that version
3.1.1 tries to take over (and then crashes) even then, but no doubt I'll
eventually sort that out. It's a pity, though, to have to revert to an
old version to get anything to work.

Any suggestions? My original problem with the word processor turned out
to be due to my not having installed the (now no longer available)
Innotek font rendering software, but I've now installed that. Anyway, a
drawing package shouldn't crash for lack of font support.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Tue, 25 May 2010 01:26:03 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Problems with OpenOffice 3.1.1

Hi Peter,

>drawing component and the spreadsheet. They both crash as soon as I try
>to save a file. For the spreadsheet, I did manage to create a
>spreadsheet with OpenOffice 2.4, and then import it into OpenOffice
>3.1.1, but then I got a crash as soon as I tried to save a change.

This might seem strange but if you save in Word DOC and Excel XLS
format OO doesnt crash, how embarrasing :o)

Some people say you cannot have 2.4 and 3.xx on the same PC
as this appears to cause a conflict but I have v3.xx on this spare
PC of mine that has never had 2.4 on it, and I have to save files
in .doc and .xls

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   3 ==========================**

Date:  Tue, 25 May 2010 02:29:52 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Problems with OpenOffice 3.1.1

Ian Manners wrote:
> Hi Peter,
>
>   
>> drawing component and the spreadsheet. They both crash as soon as I try
>> to save a file. For the spreadsheet, I did manage to create a
>> spreadsheet with OpenOffice 2.4, and then import it into OpenOffice
>> 3.1.1, but then I got a crash as soon as I tried to save a change.
>>     
>
> This might seem strange but if you save in Word DOC and Excel XLS
> format OO doesnt crash, how embarrasing :o)
>
> Some people say you cannot have 2.4 and 3.xx on the same PC
> as this appears to cause a conflict but I have v3.xx on this spare
> PC of mine that has never had 2.4 on it, and I have to save files
> in .doc and .xls
>   

Thanks for that suggestion. Unfortunately, what is killing me is the
OpenOffice "document recovery" system. Every time I open a document it
tries to recover all the failed documents, and at least one of those
will cause a crash. As a result, I can no longer open anything. There
doesn't appear to be any way to say "forget that failed document, it's
not what I'm trying to open". That's a pretty serious design flaw, but I
haven't yet figured out how to put in bug reports.

It's starting to look as if I will have to use Windows for all
OpenOffice operations. That's sad. A lot of things were working in
version 2.4, but it appears that they are no longer working in version
3.1.1.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Tue, 25 May 2010 08:22:59 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Problems with OpenOffice 3.1.1

On Tue, 25 May 2010 02:29:52 +1000 Peter Moylan wrote:

Hi Peter and Ian,

>Ian Manners wrote:
>> Hi Peter,

I still use Mesa for spreadsheets (gee they got so much right back then!).

>>
I have both 2.4 and 3.1.1 installed on teh same machine, and distinguish
the components by Program Object names (Calc is 2.4 Spreadsheet is 3.1.1)
   
>>> drawing component and the spreadsheet. They both crash as soon as I try
>>> to save a file. For the spreadsheet, I did manage to create a
>>> spreadsheet with OpenOffice 2.4, and then import it into OpenOffice
>>> 3.1.1, but then I got a crash as soon as I tried to save a change.

I don't have that problem, although until recently I preferred 2.4 which
loads faster.

Check your path statements in CONFIG.SYS 

>>>     
>>
>> This might seem strange but if you save in Word DOC and Excel XLS
>> format OO doesnt crash, how embarrasing :o)

Highly embarrassing!

>>
>> Some people say you cannot have 2.4 and 3.xx on the same PC
>> as this appears to cause a conflict but I have v3.xx on this spare
>> PC of mine that has never had 2.4 on it, and I have to save files
>> in .doc and .xls

Not a problem here. My main bug in 3.1.1 is that I cannot format a Page to
change the page size. As soon as I hit the "Page" tab, the program crashes
out completely. It's not a prob in 2.4, so I start there, save it as an
..odt file and then work in 3.1.1. If it's a stupid .docx file, I open it in
3.1.1, save it as is in .odt, then use 2.4 to reformat the page size.

>Thanks for that suggestion. Unfortunately, what is killing me is the
>OpenOffice "document recovery" system. Every time I open a document it
>tries to recover all the failed documents, and at least one of those
>will cause a crash. As a result, I can no longer open anything. There
>doesn't appear to be any way to say "forget that failed document, it's
>not what I'm trying to open". That's a pretty serious design flaw, but I
>haven't yet figured out how to put in bug reports.

Check the docs for the command line option "-norestore"

>
>It's starting to look as if I will have to use Windows for all
>OpenOffice operations. That's sad. A lot of things were working in
>version 2.4, but it appears that they are no longer working in version
>3.1.1.

I keep plugging away, but I am more frustrated by the entire design
philosophy of MS-Word/OO, since I have become so comfortable with DeScribe.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===